Package org.apache.commons.math3.analysis.differentiation

# Interface UnivariateDifferentiableVectorFunction

All Superinterfaces:
  `UnivariateVectorFunction`

All Known Implementing Classes:
  `HermiteInterpolator`

public interface UnivariateDifferentiableVectorFunction extends UnivariateVectorFunction
Extension of `UnivariateVectorFunction` representing a univariate differentiable vectorial function.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`DerivativeStructure[]`
`value(DerivativeStructure x)`
Compute the value for the function.

### Methods inherited from interface org.apache.commons.math3.analysis.UnivariateVectorFunction

`value`

## Method Details

### value

DerivativeStructure[] value(DerivativeStructure x) throws MathIllegalArgumentException
Compute the value for the function.

Parameters:
  `x` - the point for which the function value should be computed
Returns:
  the value
Throws:
  `MathIllegalArgumentException` - if `x` does not satisfy the function's constraints (argument out of bound, or unsupported derivative order for example)